#include "CXLoader.h"

class asteroid
{
public:
	CXLoader asteroid_img;
	void init(IDirect3DDevice8** g_pD3DDevice, int r_size);
	bool render();
	void MoveRel(float x, float y);
    void reinit();
	float y; // \ 
	float x; //  \---\____ Line equation members
	float m; //  /---/
	float b; // /
	bool visible;
	int size;
	int xdir;
private:

protected:
};
	